%define subrel  1

%define launchername %{name}-launcher

Name:           fs-uae
Version:        2.2.3
Release:        %mkrel 4
Epoch:          1
Summary:        An amiga emulator
License:        GPLv2
Group:          Emulators
Url:            http://fs-uae.net/
Source:         http://fs-uae.net/%{name}/stable/%{version}/%{name}-%{version}.tar.gz
Patch0:         fs-uae-2.2.2.3-mga-include-glxext.patch
Provides:       uae
Provides:       e-uae
Provides:       p-uae = %{epoch}:%{version}-%{release}
Obsoletes:      p-uae < %{epoch}:%{version}-%{release}

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
FS-UAE focuses on emulating Amiga games using the accurate emulation code from
WinUAE. It also has features to emulate a high-end Amiga with expansions.
Unique features for FS-UAE are support for online play on all supported
platforms and an on-screen GUI controllable with keyboard and gamepad
controllers.

%package -n %{launchername}
Summary:        A gui for %{name}
BuildArch:      noarch
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       python-pkg-resources

%description -n %{launchername}
This is a gui for %{name}.

%prep
%setup -q
%patch0 -p1

%build
%make
cd launcher
python setup.py build
make -f Makefile.mk

%install
make install prefix=%{buildroot}/usr
cd launcher
#export PYTHONPATH=%{buildroot}/usr/lib/python2.7/site-packages/
python setup.py install --skip-build --root %{buildroot} --prefix=/usr
make -f Makefile.mk install DESTDIR=%{buildroot}
cd %{buildroot}/usr/bin
ln -s fs-uae uae

%files
%{_bindir}/fs-uae
%{_bindir}/uae
%{_datadir}/locale/*/LC_MESSAGES/fs-uae.mo
%{_datadir}/icons/hicolor/*/apps/fs-uae.png
%{_datadir}/fs-uae
%doc %{_datadir}/doc/fs-uae
%{_datadir}/applications/fs-uae.desktop

%files -n %{launchername}
%{_bindir}/fs-uae-launcher
%{python_sitelib}/fs_uae_launcher*
%{_datadir}/locale/*/LC_MESSAGES/fs-uae-launcher.mo
%{_datadir}/icons/hicolor/*/apps/fs-uae-launcher.png
%{_datadir}/fs-uae-launcher
%doc %{_datadir}/doc/fs-uae-launcher
%{_datadir}/applications/fs-uae-launcher.desktop



%changelog
* Wed May 06 2015 akien <akien> 1:2.2.3-4.1.mga4
+ Revision: 821339
- Fix missing requires (mga#15859)

* Fri Dec 13 2013 philippem <philippem> 1:2.2.3-4.mga4
+ Revision: 556617
- fix build with include glxext

* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.3-3.mga4
+ Revision: 542628
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1:2.2.3-2.mga4
+ Revision: 497754
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 31 2013 obgr_seneca <obgr_seneca> 1:2.2.3-1.mga4
+ Revision: 473741
- New version 2.2.3

* Mon Jun 03 2013 obgr_seneca <obgr_seneca> 1:2.2.2-1.mga4
+ Revision: 436700
- imported package fs-uae

